fn main() {
    // ANCHOR: here
    {                      // W tym miejscu zmienja s nie jest poprawna, gdyż nie została jeszcze zadeklarowana
        let s = "witaj";   // Zmienna s jest poprawna od tego miejsca

        // Robimy coś ze zmienną s
    }                      // Tutaj zakres się kończy i zmienna s przestaje być poprawna
    // ANCHOR_END: here
}